Include goodfaith model information in ORES review tool
Closed, ResolvedPublic

Description

When ORES has "goodfaith" predictions available, they should be included in the review tool UI.

  • Design: how will goodfaith predictions be included in the UI
  • Populate the ores_classification table with goodfaith predictions
  • Implement the designed UI elements
Halfak created this task.Jun 16 2016, 2:38 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 16 2016, 2:38 PM
Halfak triaged this task as Normal priority.Jul 14 2016, 2:51 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 8 2016, 6:19 PM
Krinkle added a subscriber: Krinkle.Aug 8 2016, 6:21 PM
Halfak updated the task description. (Show Details)Aug 25 2016, 2:26 PM

We're looking into this question pretty thoroughly as part of Edit Review Improvements. See

T142785, T143455, T143452, T143451

It might make sense to tie this in with those projects, so that we don't train users on one way of using scores and then switch them.

@jmatazzoni agreed on the overlap. Though, I wonder if it would be worthwhile to enact a technology probe[1] through the ORES extension so that we get better feedback about redesigns.

  1. https://www.lri.fr/~mackay/pdffiles/CHI03.probes.pdf

Change 312166 had a related patch set uploaded (by Catrope):
[WIP] Add goodfaith filtering

https://gerrit.wikimedia.org/r/312166

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 4 2016, 10:54 PM

Change 339472 had a related patch set uploaded (by Catrope):
Store goodfaith scores in the ORES tables

https://gerrit.wikimedia.org/r/339472

Change 339472 merged by jenkins-bot:
Store goodfaith scores in the ORES tables

https://gerrit.wikimedia.org/r/339472

Mentioned in SAL (#wikimedia-operations) [2017-02-24T00:26:50Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:339472|Store goodfaith scores in the ORES tables]] T137966 (duration: 00m 40s)

Change 312166 abandoned by Catrope:
[WIP] Add goodfaith filtering

Reason:
Superseded by other commits that have since been merged

https://gerrit.wikimedia.org/r/312166

Catrope closed this task as Resolved.Feb 24 2017, 12:43 AM

Closing this since:

  • We are now populating goodfaith scores into the DB
  • We've decided how to represent this in the UI in the new RCFilters beta feature
  • We've decided not to put goodfaith-related features in the "old" ORES UI
Quiddity removed a subscriber: Quiddity.Feb 24 2017, 1:23 AM